## abiword-2.6.5.tar.gz

=== Makefile ===
#! gmake


## AbiSource Applications
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT	:=$(shell pwd)

# This allows one to specify prefix in compile time
ifeq ($(strip $(prefix)),)
prefix          :=/usr/local
endif

##################################################################
## Useful options:
##
##	make	[OUT=<compiler_output_directory>]
##		[DIST=<distribution_output_directory>]
##		[ABI_BUILD_VERSION=x.y.z]
##		[ABI_BUILD_ID=<some_useful_to_you_distinguishing_label>]


default:	compile


test:
	@echo "make test not yet supported with diving Makefile"
	@echo "Please use autoconf build."

##################################################################
## Compile all applications in AbiSuite
## This creates $(OUT)/bin/<programs>

compile:
	@echo Building AbiSuite with [ABI_ROOT=$(ABI_ROOT)]
	$(MAKE) ABI_ROOT=$(ABI_ROOT) -C src

compile_dbg:
	@echo Building AbiSuite with [ABI_ROOT=$(ABI_ROOT)]
	$(MAKE) ABI_ROOT=$(ABI_ROOT) ABI_OPT_DEBUG=1 -C src

##################################################################
## Compile with BiDiRectional support

bidi:
	@echo Building BiDiRectionally enabled AbiSuite with [ABI_ROOT=$(ABI_ROOT)]
	$(MAKE) ABI_ROOT=$(ABI_ROOT) ABI_OPT_BIDI_ENABLED=1 UNIX_CAN_BUILD_DYNAMIC=0 -C src

bidi_dbg:
	@echo Building BiDiRectionally enabled AbiSuite with [ABI_ROOT=$(ABI_ROOT)]
	$(MAKE) ABI_ROOT=$(ABI_ROOT) ABI_OPT_BIDI_ENABLED=1 ABI_OPT_DEBUG=1 UNIX_CAN_BUILD_DYNAMIC=0 -C src

##################################################################

dox:
	@echo Generating documentation
	doxygen

##################################################################

## Quick developer install with no packaging

install:
	@echo Installing AbiSuite with [prefix=$(prefix)]
	$(MAKE) prefix=$(prefix) -C src install

install_dbg:
	@echo Installing AbiSuite with [prefix=$(prefix)]
	$(MAKE) prefix=$(prefix) ABI_OPT_DEBUG=1 -C src install

##################################################################

install_redhat:
	@echo Installing AbiSuite for Red Hat Linux systems
	$(MAKE) -C src install_redhat

##################################################################
## Build system library files (strings, dictionaries, example
## documents, default system profile, etc) in a canonical, 
## non-installed layout.   (This is the layout we'd like to use
## -- and do use for personal builds.  Various systems may want
## a different layout and can use this canonical layout to
## construct the desired layout and installation script.)
## This creates $(OUT)/AbiSuite

canonical:
	@echo Building AbiSuite Canonical Layout
	$(MAKE) ABI_ROOT=$(ABI_ROOT) -C src canonical

##################################################################
## Target to make binary distribution files
## This creates $(DIST)/<platform_specific_installation_packages>

distribution: compile canonical
	$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C src distribution

toolsplugins:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C src toolsplugins

disttools:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C src disttools

impexpplugins:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C src impexpplugins

distimpexp:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C src distimpexp
##################################################################
## Targets to clean up the mess that we make

clean:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) -C src clean

abiclean:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) -C src abiclean

realclean:
	$(MAKE) ABI_ROOT=$(ABI_ROOT) -C src realclean
	rm -rf dist

=== src/other/Makefile ===
#! gmake

## AbiSource Program Utilities
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../..
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=		spell

include $(ABI_ROOT)/src/config/abi_rules.mk

=== src/tools/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../..
include $(ABI_ROOT)/src/config/abi_defs_wp.mk

DIRS=		cdump po2str

include $(ABI_ROOT)/src/config/abi_rules.mk

=== src/af/util/Makefile ===
#! gmake

## AbiSource Program Utilities
## Copyright (C) 1998-2000 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../..
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=			xp $(ABI_NATIVE)
LIBRARY_NAME=		AbiUtil
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=		$(LIBRARY)

ifeq ($(ABI_NATIVE), unix)
## TODO fix capitalization and change to $(ABI_FE)
PLATFORM_OBJS=	$(OBJDIR)/ut_unixAssert.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_unixString.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_unixTimer.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_unixIdle.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_unixMisc.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_unixDirent.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_debugmsg.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_files.$(OBJ_SUFFIX)
endif

ifeq ($(ABI_NATIVE), mac)
PLATFORM_OBJS= $(OBJDIR)/ut_MacString.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_MacFiles.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_MacAssert.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_MacTimer.$(OBJ_SUFFIX)	\
        $(OBJDIR)/ut_unixAssert.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_debugmsg.$(OBJ_SUFFIX)
endif

ifeq ($(ABI_NATIVE), win)
PLATFORM_OBJS=	$(OBJDIR)/ut_debugmsg.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_$(ABI_FE)OS.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_$(ABI_FE)String.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_$(ABI_FE)Timer.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_$(ABI_FE)Idle.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_$(ABI_FE)Locale.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_sleep.$(OBJ_SUFFIX)            \
		$(OBJDIR)/ut_Xpm2Bmp.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_Win32Uuid.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_Win32Misc.$(OBJ_SUFFIX)		
endif

ifeq ($(ABI_NATIVE), qnx)
## TODO fix capitalization and change to $(ABI_FE)
PLATFORM_OBJS=	$(OBJDIR)/ut_qnxAssert.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_qnxString.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_qnxTimer.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_Xpm2Bitmap.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_qnxHelper.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_debugmsg.$(OBJ_SUFFIX)
endif

### add this to the OBJS when we need it for calc.
###		$(OBJDIR)/ut_regex.$(OBJ_SUFFIX)			\

OBJS=		$(PLATFORM_OBJS)						\
		$(OBJDIR)/ut_base64.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_base64_TestRoutines.$(OBJ_SUFFIX)	\
		$(OBJDIR)/ut_allocator.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_rand.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_bytebuf.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_growbuf.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_hash.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_iconv.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_mbtowc.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_misc.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_png.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_locale.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_svg.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_Script.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_stack.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_string.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_string_class.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_stringbuf.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_test.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_worker.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_idle.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_timer.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_types.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_units.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_bijection.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_vector.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_PropVector.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_wctomb.$(OBJ_SUFFIX)       \
		$(OBJDIR)/ut_AdobeEncoding.$(OBJ_SUFFIX) \
		$(OBJDIR)/ut_OverstrikingChars.$(OBJ_SUFFIX) \
		$(OBJDIR)/ut_Language.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_Encoding.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_path.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_math.$(OBJ_SUFFIX)         \
		$(OBJDIR)/ut_xml.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_decompress.$(OBJ_SUFFIX)		\
		$(OBJDIR)/ut_crc32.$(OBJ_SUFFIX) \
		$(OBJDIR)/ut_uuid.$(OBJ_SUFFIX)			\
		$(OBJDIR)/ut_go_file.$(OBJ_SUFFIX) \
		$(OBJDIR)/ut_html.$(OBJ_SUFFIX) \
		$(OBJDIR)/ut_unicode.$(OBJ_SUFFIX) \

ifeq ($(ABI_OPT_PEER_EXPAT),1)
 OBJS += $(OBJDIR)/ut_xml_expat.$(OBJ_SUFFIX)
else
	ifeq ($(ABI_OPT_MSXML),1)
		OBJS += $(OBJDIR)/ut_xml_msxml.$(OBJ_SUFFIX)
	else
		OBJS += $(OBJDIR)/ut_xml_libxml2.$(OBJ_SUFFIX)
	endif
endif

ifeq ($(ABI_OPT_PERL),1)
OBJS += $(OBJDIR)/ut_PerlBindings.$(OBJ_SUFFIX)
endif

include $(ABI_ROOT)/src/config/abi_rules.mk


build:: $(TARGETS)

=== src/af/util/xp/Makefile ===
#! gmake

## AbiSource Program Utilities
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
#
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs.mk

CPPSRCS=	ut_base64.cpp		\
		ut_base64_TestRoutines.cpp	\
		ut_allocator.cpp	\
		ut_rand.cpp		\
		ut_worker.cpp		\
		ut_idle.cpp		\
		ut_bytebuf.cpp		\
		ut_growbuf.cpp		\
		ut_hash.cpp		\
		ut_iconv.cpp		\
		ut_math.cpp		\
		ut_mbtowc.cpp		\
		ut_misc.cpp		\
		ut_png.cpp		\
		ut_locale.cpp		\
		ut_svg.cpp		\
		ut_xml.cpp		\
		ut_Script.cpp		\
		ut_stack.cpp		\
		ut_string.cpp		\
		ut_test.cpp		\
		ut_timer.cpp		\
		ut_types.cpp		\
		ut_units.cpp		\
		ut_vector.cpp		\
		ut_PropVector.cpp	\
		ut_wctomb.cpp		\
		ut_bijection.cpp	\
		ut_string_class.cpp	\
		ut_stringbuf.cpp  	\
		ut_AdobeEncoding.cpp 	\
		ut_OverstrikingChars.cpp \
		ut_Language.cpp		\
		ut_Encoding.cpp     	\
		ut_decompress.cpp	\
                ut_crc32.cpp		\
		ut_uuid.cpp		\
		ut_go_file.cpp \
		ut_html.cpp \
		ut_unicode.cpp

ifeq ($(ABI_OPT_PEER_EXPAT),1)
 CPPSRCS += ut_xml_expat.cpp
else
	ifneq ($(ABI_OPT_MSXML),1)
		CPPSRCS += ut_xml_libxml2.cpp
	endif
endif

ifeq ($(ABI_OPT_PERL),1)
CPPSRCS += ut_PerlBindings.cpp
endif

### regex is only used by calc.
###CSRCS=		ut_regex.c

TARGETS=		$(OBJS)

ifeq ($(ABI_NATIVE),win)
INCLUDES = -I$(ABI_XX_ROOT)/../libpng -I$(ABI_ZLIB_INC) -I$(ABI_XX_ROOT)/../libiconv/include $(ABI_GLIB_INC)
endif

ifeq ($(OS_NAME),WIN32)
INCLUDES += -GX
endif

ifeq ($(ABI_NATIVE), qnx)
INCLUDES = -I$(ABI_ROOT)/../libpng -I$(ABI_ROOT)/../zlib
endif

#This can't really hurt anything
#INCLUDES += -I$(ABI_ROOT)/../libpng -I$(ABI_ROOT)/../zlib

# If you add another operating system that does require
# libpng, add lines like this to the "ifeq" group above.

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== src/text/ptbl/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs_wp.mk

CPPSRCS=		pd_Document.cpp			\
			pd_Document_TestRoutines.cpp	\
			pd_Style.cpp			\
			pf_Frag.cpp			\
			pf_Frag_FmtMark.cpp		\
			pf_Frag_Object.cpp		\
			pf_Frag_Strux.cpp		\
			pf_Frag_Strux_Block.cpp		\
			pf_Frag_Strux_Section.cpp	\
			pf_Frag_TestRoutines.cpp	\
			pf_Frag_Text.cpp		\
			pf_Fragments.cpp		\
			pf_Frags_TestRoutines.cpp	\
			pp_AttrProp.cpp			\
			pp_Property.cpp			\
			pp_PropertyMap.cpp		\
			pp_TableAttrProp.cpp		\
			pp_Revision.cpp			\
			pt_PieceTable.cpp		\
			pt_PT_Append.cpp	\
			pt_PT_ChangeObject.cpp	\
			pt_PT_ChangeSpan.cpp	\
			pt_PT_ChangeStrux.cpp	\
			pt_PT_FmtMark.cpp	\
			pt_PT_Glob.cpp		\
			pt_PT_DeleteObject.cpp	\
			pt_PT_DeleteSpan.cpp	\
			pt_PT_DeleteStrux.cpp	\
			pt_PT_InsertObject.cpp	\
			pt_PT_InsertSpan.cpp	\
			pt_PT_InsertStrux.cpp	\
			pt_PT_Listener.cpp	\
			pt_PT_Styles.cpp	\
			pt_PT_TestRoutines.cpp	\
			pt_PT_Undo.cpp		\
			pt_VarSet.cpp			\
			px_ChangeHistory.cpp		\
			px_ChangeRecord.cpp		\
			px_CR_FmtMark.cpp		\
			px_CR_FmtMarkChange.cpp		\
			px_CR_Glob.cpp			\
			px_CR_Object.cpp		\
			px_CR_ObjectChange.cpp		\
			px_CR_Span.cpp			\
			px_CR_SpanChange.cpp		\
			px_CR_Strux.cpp			\
			px_CR_StruxChange.cpp		\
			px_CR_Style.cpp         \
			px_CR_DocProp.cpp         \
			px_CR_DataItem.cpp         \
			px_CR_TestRoutines.cpp          \
			px_CH_TestRoutines.cpp          \
			fd_Field.cpp			\
			po_Bookmark.cpp         \
			pd_Iterator.cpp


LIBRARY_NAME=		AbiPTbl
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=		$(LIBRARY)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== src/wp/ap/unix/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998-2000 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs_wp.mk

ABI_WP_INCS+=	/wp/ap/xp	/wp/ap/$(ABI_NATIVE)

CPPSRCS=		ap_$(ABI_FE)App.cpp			\
			ap_$(ABI_FE)AppImpl.cpp                     \
			abiwidget.cpp					\
			ap_$(ABI_FE)Clipboard.cpp		\
			ap_$(ABI_FE)DialogFactory.cpp		\
			ap_$(ABI_FE)Dialog_New.cpp		\
			ap_$(ABI_FE)Dialog_Break.cpp		\
			ap_$(ABI_FE)Dialog_InsertTable.cpp		\
			ap_$(ABI_FE)Dialog_FormatTable.cpp		\
			ap_$(ABI_FE)Dialog_FormatFrame.cpp		\
			ap_$(ABI_FE)Dialog_Field.cpp		\
			ap_$(ABI_FE)Dialog_Goto.cpp		\
			ap_$(ABI_FE)Dialog_Insert_DateTime.cpp	\
			ap_$(ABI_FE)Dialog_Lists.cpp		\
			ap_$(ABI_FE)Dialog_Options.cpp		\
			ap_$(ABI_FE)Dialog_PageNumbers.cpp      \
			ap_$(ABI_FE)Dialog_Background.cpp	\
			ap_$(ABI_FE)Dialog_HdrFtr.cpp	\
			ap_$(ABI_FE)Dialog_PageSetup.cpp        \
			ap_$(ABI_FE)Dialog_Paragraph.cpp	\
			ap_$(ABI_FE)Dialog_Replace.cpp		\
			ap_$(ABI_FE)Dialog_Spell.cpp		\
			ap_$(ABI_FE)Dialog_Styles.cpp		\
			ap_$(ABI_FE)Dialog_Stylist.cpp		\
			ap_$(ABI_FE)Dialog_Tab.cpp		\
			ap_$(ABI_FE)Dialog_ToggleCase.cpp	\
			ap_$(ABI_FE)Dialog_WordCount.cpp	\
			ap_$(ABI_FE)Dialog_Columns.cpp		\
			ap_$(ABI_FE)Dialog_InsertBookmark.cpp \
			ap_$(ABI_FE)Dialog_FormatFootnotes.cpp \
			ap_$(ABI_FE)Dialog_FormatTOC.cpp \
			ap_$(ABI_FE)Dialog_InsertHyperlink.cpp \
			ap_$(ABI_FE)Dialog_MarkRevisions.cpp \
			ap_$(ABI_FE)Dialog_ListRevisions.cpp \
			ap_$(ABI_FE)Dialog_MergeCells.cpp \
			ap_$(ABI_FE)Dialog_SplitCells.cpp \
			ap_$(ABI_FE)Dialog_MetaData.cpp		\
			ap_$(ABI_FE)Dialog_MailMerge.cpp	\
			ap_$(ABI_FE)Frame.cpp			\
			ap_$(ABI_FE)FrameImpl.cpp		\
			ap_$(ABI_FE)LeftRuler.cpp		\
			ap_$(ABI_FE)Prefs.cpp			\
			ap_$(ABI_FE)StatusBar.cpp		\
			ap_$(ABI_FE)Toolbar_StyleCombo.cpp	\
			ap_$(ABI_FE)Toolbar_FontCombo.cpp	\
			ap_$(ABI_FE)Toolbar_SizeCombo.cpp	\
			ap_$(ABI_FE)Toolbar_ZoomCombo.cpp	\
			ap_$(ABI_FE)_TB_CFactory.cpp		\
			ap_$(ABI_FE)TopRuler.cpp		\
			ap_$(ABI_FE)ViewListener.cpp		\
			ap_$(ABI_FE)Dialog_Latex.cpp		

TARGETS=		$(OBJS)

INCLUDES+= -I$(ABI_ROOT)/../wv -I$(ABI_ROOT)/../wv/exporter -I$(ABI_ROOT)/../wv/libole2 -I$(ABI_ROOT)/../libpng -I$(ABI_ROOT)/../psiconv -DABIWORD_PLUGINSDIR="\"$(prefix)/lib/abiword-2.6/plugins/\""

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== src/wp/ap/win/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998-2000 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs_wp.mk

ABI_WP_INCS+=	/wp/ap/xp	/wp/ap/$(ABI_NATIVE)

CPPSRCS=		ap_$(ABI_FE)App.cpp			\
			ap_$(ABI_FE)AppImpl.cpp                 \
			ap_$(ABI_FE)Clipboard.cpp		\
			ap_$(ABI_FE)DialogFactory.cpp		\
			ap_$(ABI_FE)Dialog_New.cpp		\
			ap_$(ABI_FE)Dialog_Break.cpp		\
			ap_$(ABI_FE)Dialog_InsertTable.cpp	\
			ap_$(ABI_FE)Dialog_FormatTable.cpp	\
			ap_$(ABI_FE)Dialog_FormatFrame.cpp	\
			ap_$(ABI_FE)Dialog_Field.cpp		\
			ap_$(ABI_FE)Dialog_Insert_DateTime.cpp	\
			ap_$(ABI_FE)Dialog_Lists.cpp		\
			ap_$(ABI_FE)Dialog_Options.cpp		\
			ap_$(ABI_FE)Dialog_Replace.cpp		\
			ap_$(ABI_FE)Dialog_PageNumbers.cpp      \
			ap_$(ABI_FE)Dialog_Paragraph.cpp	\
			ap_$(ABI_FE)Dialog_Spell.cpp		\
			ap_$(ABI_FE)Dialog_Styles.cpp		\
			ap_$(ABI_FE)Dialog_Stylist.cpp		\
			ap_$(ABI_FE)Dialog_Goto.cpp		\
			ap_$(ABI_FE)Dialog_WordCount.cpp	\
			ap_$(ABI_FE)Dialog_Columns.cpp		\
			ap_$(ABI_FE)Dialog_Tab.cpp		\
			ap_$(ABI_FE)Dialog_PageSetup.cpp	\
			ap_$(ABI_FE)Dialog_ToggleCase.cpp	\
			ap_$(ABI_FE)Dialog_InsertBookmark.cpp	\
			ap_$(ABI_FE)Dialog_FormatTOC.cpp	\
			ap_$(ABI_FE)Dialog_FormatFootnotes.cpp	\
			ap_$(ABI_FE)Dialog_InsertHyperlink.cpp	\
			ap_$(ABI_FE)Dialog_MetaData.cpp		\
			ap_$(ABI_FE)Dialog_MailMerge.cpp	\
			ap_$(ABI_FE)Dialog_Latex.cpp	\
			ap_$(ABI_FE)Frame.cpp			\
			ap_$(ABI_FE)FrameImpl.cpp			\
			ap_$(ABI_FE)LeftRuler.cpp		\
			ap_$(ABI_FE)Prefs.cpp			\
			ap_$(ABI_FE)StatusBar.cpp		\
			ap_$(ABI_FE)Toolbar_StyleCombo.cpp	\
			ap_$(ABI_FE)Toolbar_FontCombo.cpp	\
			ap_$(ABI_FE)Toolbar_SizeCombo.cpp	\
			ap_$(ABI_FE)Toolbar_ZoomCombo.cpp	\
			ap_$(ABI_FE)_TB_CFactory.cpp		\
			ap_$(ABI_FE)Dialog_Background.cpp	\
			ap_$(ABI_FE)Dialog_HdrFtr.cpp	\
			ap_$(ABI_FE)Dialog_MarkRevisions.cpp	\
			ap_$(ABI_FE)Dialog_ListRevisions.cpp	\
			ap_$(ABI_FE)Dialog_MergeCells.cpp	\
			ap_$(ABI_FE)Dialog_SplitCells.cpp	\
			ap_$(ABI_FE)TopRuler.cpp

TARGETS=		$(OBJS)

include $(ABI_ROOT)/src/config/abi_rules.mk

INCLUDES+= -I$(ABI_XX_ROOT)/../wv -I$(ABI_XX_ROOT)/../wv/exporter -I$(ABI_ZLIB_INC) -I$(ABI_XX_ROOT)/../wv/libole2 -I$(ABI_XX_ROOT)/../libpng -I$(ABI_XX_ROOT)/../libiconv/include

build:: $(TARGETS)

=== src/wp/ap/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998-2000 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs_wp.mk

ABI_WP_INCS+=	/wp/ap/xp	/wp/ap/$(ABI_NATIVE)

CPPSRCS=	ap_Args.cpp			\
		ap_Convert.cpp			\
		ap_Dialog_New.cpp		\
		ap_Dialog_Break.cpp		\
		ap_Dialog_InsertTable.cpp	\
		ap_Dialog_FormatTable.cpp	\
		ap_Dialog_FormatFrame.cpp	\
		ap_Dialog_WordCount.cpp		\
		ap_Dialog_Field.cpp		\
		ap_Dialog_Goto.cpp		\
		ap_Dialog_Insert_DateTime.cpp	\
		ap_Dialog_Lists.cpp             \
		ap_Dialog_Options.cpp		\
		ap_Dialog_PageNumbers.cpp       \
		ap_Dialog_Paragraph.cpp		\
		ap_Dialog_Replace.cpp		\
		ap_Dialog_Spell.cpp		\
		ap_Dialog_Styles.cpp		\
		ap_Dialog_Columns.cpp		\
		ap_Dialog_Tab.cpp		\
		ap_Dialog_PageSetup.cpp         \
		ap_Dialog_ToggleCase.cpp        \
		ap_Dialog_Background.cpp	\
		ap_Dialog_HdrFtr.cpp	\
		ap_Dialog_InsertBookmark.cpp	\
		ap_Dialog_FormatFootnotes.cpp	\
		ap_Dialog_FormatTOC.cpp	\
		ap_Dialog_InsertHyperlink.cpp	\
		ap_Dialog_MarkRevisions.cpp	\
		ap_Dialog_ListRevisions.cpp	\
		ap_Dialog_MergeCells.cpp	\
		ap_Dialog_SplitCells.cpp	\
		ap_Dialog_MailMerge.cpp		\
		ap_Dialog_Latex.cpp		\
		ap_EditMethods.cpp		\
		ap_FrameData.cpp		\
		ap_LeftRuler.cpp		\
		ap_LoadBindings.cpp		\
		ap_LB_DeadAbovedot.cpp		\
		ap_LB_DeadAcute.cpp		\
		ap_LB_DeadBreve.cpp		\
		ap_LB_DeadCaron.cpp		\
		ap_LB_DeadCedilla.cpp		\
		ap_LB_DeadCircumflex.cpp	\
		ap_LB_DeadDiaeresis.cpp		\
		ap_LB_DeadDoubleacute.cpp	\
		ap_LB_DeadGrave.cpp		\
		ap_LB_DeadMacron.cpp		\
		ap_LB_DeadOgonek.cpp		\
		ap_LB_DeadTilde.cpp		\
		ap_LB_Default.cpp		\
		ap_LB_Emacs.cpp			\
		ap_LB_EmacsCtrlX.cpp		\
		ap_LB_viEdit.cpp		\
		ap_LB_viEdit_colon.cpp		\
		ap_LB_viEdit_c.cpp		\
		ap_LB_viEdit_d.cpp		\
		ap_LB_viEdit_r.cpp		\
		ap_LB_viEdit_y.cpp		\
		ap_LB_viInput.cpp		\
		ap_Menu_ActionSet.cpp		\
		ap_Menu_Functions.cpp		\
		ap_Menu_LabelSet.cpp		\
		ap_Menu_Layouts.cpp		\
		ap_Prefs.cpp			\
		ap_Preview_Paragraph.cpp	\
		ap_Preview_Abi.cpp		\
		ap_Ruler.cpp			\
		ap_StatusBar.cpp		\
		ap_Strings.cpp			\
		ap_Toolbar_ActionSet.cpp	\
		ap_Toolbar_Functions.cpp	\
		ap_Toolbar_Icons.cpp		\
		ap_Toolbar_LabelSet.cpp		\
		ap_Toolbar_Layouts.cpp		\
		ap_Frame.cpp			\
		ap_Dialog_Stylist.cpp		\
		ap_App.cpp			\
		ap_TopRuler.cpp

GENCPPSRCS=     $(OBJDIR)/ap_wp_sidebar.cpp

TARGETS=		$(OBJS)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

ifeq ($(ABISOURCE_LICENSED_TRADEMARKS),1)

$(OBJDIR)/ap_wp_sidebar.cpp: sidebar_tm.png $(BINDIR)/cdump$(EXE_SUFFIX)
	rm -f $(OBJDIR)/ap_wp_sidebar.cpp
	$(BINDIR)/cdump$(EXE_SUFFIX) sidebar_tm.png g_pngSidebar > $(OBJDIR)/ap_wp_sidebar.cpp

else

$(OBJDIR)/ap_wp_sidebar.cpp: sidebar.png $(BINDIR)/cdump$(EXE_SUFFIX)
	rm -f $(OBJDIR)/ap_wp_sidebar.cpp
	$(BINDIR)/cdump$(EXE_SUFFIX) ./sidebar.png g_pngSidebar > $(OBJDIR)/ap_wp_sidebar.cpp

endif

=== src/pkg/maemo/debian/control ===
Source: abiword
Section: user/office
Priority: optional
Maintainer: Tomas Frydrych <tf@o-hand.com>
Uploaders: Tomas Frydrych <tf@o-hand.com>
Build-Depends: debhelper (>> 4.0.0), libfribidi-dev, libglib2.0-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libreadline4-dev
Standards-Version: 3.6.1

Package: abiword
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}
Description: AbiWord is a free word processing program. It is suitable for a wide variety of word processing tasks.
